package tp3.atmsystem;

public class CardHolder {
	
	private int cardNumber;
	private int pin;
	
	public CardHolder(int cardNumber, int pin) {
        this.cardNumber = cardNumber;
        this.pin = pin;
    }

    public int getCardNumber() {
        return cardNumber;
    }

    public int getPin() {
        return pin;
    }

    public void insertCard() {
        System.out.println("Card " + cardNumber + " inserted into ATM.");
    }

    public void enterPin(int enteredPin) {
        if (enteredPin == pin) {
            System.out.println("PIN entered correctly.");
        } else {
            System.out.println("Incorrect PIN entered.");
        }
    }

    public int requestWithdrawal(float amount, ATMSystem atm) {
        System.out.println("Requesting withdrawal of $" + amount + "...");
        if (atm.withdraw(cardNumber, amount)) {
            System.out.println("Withdrawal successful.");
            return 0;
        } else {
            System.out.println("Withdrawal failed.");
            return -1;
        }
    }
}
